package com.ruoyi.buyerapi.domain;

import java.math.BigDecimal;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 辅助帐凭证详细列对象 buyer_voucher_info
 *
 * @author ruoyi
 * @date 2022-09-22
 */
@Data
public class BuyerVoucherInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    /** 公司id */
    @Excel(name = "公司id")
    private String companyId;

    /** 占比 */
    @Excel(name = "占比")
    private BigDecimal proportion;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal price;

    /** 摘要 */
    @Excel(name = "摘要")
    private String summary;

    /** 科目1 */
    @Excel(name = "科目1")
    private String subject1;

    /** 科目2 */
    @Excel(name = "科目2")
    private String subject2;

    /** 科目2 */
    @Excel(name = "科目2")
    private String subject2Label;

    /** 借方余额 */
    @Excel(name = "借方余额")
    private BigDecimal debitBalance;

    /** 贷方余额 */
    @Excel(name = "贷方余额")
    private BigDecimal creditBalance;

    /** 凭证id */
    @Excel(name = "凭证id")
    private String voucherId;

    private Integer debitUnit1 = 0;
    private Integer debitUnit2 = 0;
    private Integer debitUnit3 = 0;
    private Integer debitUnit4 = 0;
    private Integer debitUnit5 = 0;
    private Integer debitUnit6 = 0;
    private Integer debitUnit7 = 0;
    private Integer debitUnit8 = 0;
    private Integer debitUnit9 = 0;
    private Integer debitUnit10 = 0;
    private Integer debitUnit11 = 0;
    private Integer creditUnit1 = 0;
    private Integer creditUnit2 = 0;
    private Integer creditUnit3 = 0;
    private Integer creditUnit4 = 0;
    private Integer creditUnit5 = 0;
    private Integer creditUnit6 = 0;
    private Integer creditUnit7 = 0;
    private Integer creditUnit8 = 0;
    private Integer creditUnit9 = 0;
    private Integer creditUnit10 = 0;
    private Integer creditUnit11 = 0;

    @Excel(name = "排序")
    private Integer orderIndex;

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("companyId", getCompanyId())
            .append("proportion", getProportion())
            .append("price", getPrice())
            .append("summary", getSummary())
            .append("subject1", getSubject1())
            .append("subject2", getSubject2())
            .append("debitBalance", getDebitBalance())
            .append("creditBalance", getCreditBalance())
            .append("voucherId", getVoucherId())
            .toString();
    }
}
